package com.fjs.scenic.mapper.scenic;

import com.fjs.scenic.entity.scenic.Pics;
import com.fjs.scenic.mapper.common.BaseMapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface PicsMapper  extends BaseMapper<Pics> {

    int updateByFid(Pics pics);

    List<Pics> selectByFid(Integer fid);
    
    /**根据景区id查询首图和图册数量*/
    Map<String, String> getIndexPicAndCount(@Param("fid")Integer fid);

    int deleteByFid(Integer fid);

    int adds(List<Pics> picsList);
    
    List<Pics> selectParam(Map<String, String> param);
}